diff -r 41a25660ece8 trytond/modules/account_statement/statement.py
--- a/trytond/modules/account_statement/statement.py	Wed Sep 19 22:19:04 2012 +0200
+++ b/trytond/modules/account_statement/statement.py	Mon Sep 24 20:36:39 2012 +0200
@@ -387,222 +375,203 @@
             'amount_greater_invoice_amount_to_pay': 'Amount (%s) greater than '
                 'the amount to pay of invoice!',
             })
-        self._sql_constraints += [
+        cls._sql_constraints += [
             ('check_statement_line_amount', 'CHECK(amount != 0)',
                 'Amount should be a positive or negative value!'),
             ]
 
-    def default_amount(self):
+    @staticmethod
+    def default_amount():
         return Decimal(0)
 
-    def on_change_party(self, value):
-        party_obj = Pool().get('party.party')
-        invoice_obj = Pool().get('account.invoice')
+    def on_change_party(self):
         res = {}
 
-        if value.get('party'):
-            party = party_obj.browse(value['party'])
-            if value.get('amount'):
-                if value['amount'] > Decimal("0.0"):
-                    account = party.account_receivable
+        if self.party:
+            if self.amount:
+                if self.amount > Decimal("0.0"):
+                    account = self.party.account_receivable
                 else:
-                    account = party.account_payable
+                    account = self.party.account_payable
                 res['account'] = account.id
                 res['account.rec_name'] = account.rec_name
 
-        if value.get('invoice'):
-            if value.get('party'):
-                invoice = invoice_obj.browse(value['invoice'])
-                if invoice.party != value['party']:
+        if self.invoice:
+            if self.party:
+                if self.invoice.party != self.party:
                     res['invoice'] = None
             else:
                 res['invoice'] = None
         return res
 
-    def on_change_amount(self, value):
-        pool = Pool()
-        party_obj = pool.get('party.party')
-        invoice_obj = pool.get('account.invoice')
-        journal_obj = pool.get('account.statement.journal')
-        currency_obj = pool.get('currency.currency')
+    def on_change_amount(self):
+        Currency = Pool().get('currency.currency')
         res = {}
 
-        if value.get('party'):
-            party = party_obj.browse(value['party'])
-            if value.get('account') and value['account'] not in (
-                party.account_receivable.id, party.account_payable.id):
+        if self.party:
+            if self.account and self.account not in (
+                    self.party.account_receivable, self.party.account_payable):
                 # The user has entered a non-default value, we keep it.
                 pass
-            elif value.get('amount'):
-                if value['amount'] > Decimal("0.0"):
-                    account = party.account_receivable
+            elif self.amount:
+                if self.amount > Decimal("0.0"):
+                    account = self.party.account_receivable
                 else:
-                    account = party.account_payable
+                    account = self.party.account_payable
                 res['account'] = account.id
                 res['account.rec_name'] = account.rec_name
-        if value.get('invoice'):
-            if value.get('amount') and value.get('_parent_statement.journal'):
-                invoice = invoice_obj.browse(value['invoice'])
-                journal = journal_obj.browse(
-                    value['_parent_statement.journal'])
+        if self.invoice:
+            if self.amount and self.statement and self.statement.journal:
+                invoice = self.invoice
+                journal = self.statement.journal
                 with Transaction().set_context(date=invoice.currency_date):
-                    amount_to_pay = currency_obj.compute(invoice.currency.id,
-                        invoice.amount_to_pay, journal.currency.id)
-                if abs(value['amount']) > amount_to_pay:
+                    amount_to_pay = Currency.compute(invoice.currency,
+                        invoice.amount_to_pay, journal.currency)
+                if abs(self.amount) > amount_to_pay:
                     res['invoice'] = None
             else:
                 res['invoice'] = None
         return res
 
-    def on_change_account(self, value):
-        invoice_obj = Pool().get('account.invoice')
+    def on_change_account(self):
         res = {}
 
-        if value.get('invoice'):
-            if value.get('account'):
-                invoice = invoice_obj.browse(value['invoice'])
-                if invoice.account.id != value['account']:
+        if self.invoice:
+            if self.account:
+                if self.invoice.account != self.account:
                     res['invoice'] = None
             else:
                 res['invoice'] = None
         return res
 
-    def copy(self, ids, default=None):
+    @classmethod
+    def copy(cls, lines, default=None):
         if default is None:
             default = {}
         default = default.copy()
         default.setdefault('move', None)
         default.setdefault('invoice', None)
-        return super(Line, self).copy(ids, default=default)
+        return super(Line, cls).copy(lines, default=default)
 
-    def create_move(self, line):
+    def create_move(self):
         '''
-        Create move for the statement line and return move id if created.
+        Create move for the statement line and return move if created.
         '''
         pool = Pool()
-        move_obj = pool.get('account.move')
-        period_obj = pool.get('account.period')
-        invoice_obj = pool.get('account.invoice')
-        currency_obj = pool.get('currency.currency')
-        move_line_obj = pool.get('account.move.line')
-        lang_obj = pool.get('ir.lang')
+        Move = pool.get('account.move')
+        Period = pool.get('account.period')
+        Invoice = pool.get('account.invoice')
+        Currency = pool.get('currency.currency')
+        MoveLine = pool.get('account.move.line')
+        Lang = pool.get('ir.lang')
 
-        if line.move:
+        if self.move:
             return
 
-        period_id = period_obj.find(line.statement.company.id,
-                date=line.date)
+        period_id = Period.find(self.statement.company.id, date=self.date)
 
-        move_lines = self._get_move_lines(line)
-        move_id = move_obj.create({
-                'name': unicode(line.date),
-                'period': period_id,
-                'journal': line.statement.journal.journal.id,
-                'date': line.date,
-                'lines': [('create', x) for x in move_lines],
-             })
+        move_lines = self._get_move_lines()
+        move = Move(
+            name=unicode(self.date),
+            period=period_id,
+            journal=self.statement.journal.journal,
+            date=self.date,
+            lines=move_lines,
+            )
+        move.save()
 
-        self.write(line.id, {
-            'move': move_id,
-            })
+        self.write([self], {
+                'move': move.id,
+                })
 
-        if line.invoice:
-            with Transaction().set_context(date=line.invoice.currency_date):
-                amount_to_pay = currency_obj.compute(line.invoice.currency.id,
-                        line.invoice.amount_to_pay,
-                        line.statement.journal.currency.id)
-            if amount_to_pay < abs(line.amount):
-                lang_id, = lang_obj.search([
+        if self.invoice:
+            with Transaction().set_context(date=self.invoice.currency_date):
+                amount_to_pay = Currency.compute(self.invoice.currency,
+                    self.invoice.amount_to_pay,
+                    self.statement.journal.currency)
+            if amount_to_pay < abs(self.amount):
+                lang, = Lang.search([
                         ('code', '=', Transaction().language),
                         ])
-                lang = lang_obj.browse(lang_id)
 
-                amount = lang_obj.format(lang,
-                    '%.' + str(line.statement.journal.currency.digits) + 'f',
-                    line.amount, True)
+                amount = Lang.format(lang,
+                    '%.' + str(self.statement.journal.currency.digits) + 'f',
+                    self.amount, True)
                 self.raise_user_error('amount_greater_invoice_amount_to_pay',
                         error_args=(amount,))
 
-            with Transaction().set_context(date=line.invoice.currency_date):
-                amount = currency_obj.compute(
-                        line.statement.journal.currency.id, line.amount,
-                        line.statement.company.currency.id)
+            with Transaction().set_context(date=self.invoice.currency_date):
+                amount = Currency.compute(self.statement.journal.currency,
+                    self.amount, self.statement.company.currency)
 
-            reconcile_lines = invoice_obj.get_reconcile_lines_for_amount(
-                    line.invoice, abs(amount))
+            reconcile_lines = self.invoice.get_reconcile_lines_for_amount(
+                abs(amount))
 
-            move = move_obj.browse(move_id)
-            line_id = None
             for move_line in move.lines:
-                if move_line.account.id == line.invoice.account.id:
-                    line_id = move_line.id
-                    invoice_obj.write(line.invoice.id, {
-                        'payment_lines': [('add', line_id)],
-                        })
+                if move_line.account == self.invoice.account:
+                    Invoice.write([self.invoice], {
+                            'payment_lines': [('add', [move_line.id])],
+                            })
                     break
             if reconcile_lines[1] == Decimal('0.0'):
-                line_ids = reconcile_lines[0] + [line_id]
-                move_line_obj.reconcile(line_ids)
-        return move_id
+                lines = reconcile_lines[0] + [move_line]
+                MoveLine.reconcile(lines)
+        return move
 
-    def post_move(self, lines):
-        move_obj = Pool().get('account.move')
-        move_obj.post([l.move.id for l in lines if l.move])
+    @classmethod
+    def post_move(cls, lines):
+        Move = Pool().get('account.move')
+        Move.post([l.move for l in lines if l.move])
 
-    def delete_move(self, lines):
-        move_obj = Pool().get('account.move')
-        move_obj.delete([l.move.id for l in lines if l.move])
+    @classmethod
+    def delete_move(cls, lines):
+        Move = Pool().get('account.move')
+        Move.delete([l.move for l in lines if l.move])
 
-    def _get_move_lines(self, statement_line):
+    def _get_move_lines(self):
         '''
-        Return the values of the move lines for the statement line
-
-        :param statement_line: a BrowseRecord of the statement line
-        :return: a list of dictionary of move line values
+        Return the move lines for the statement line
         '''
-        currency_obj = Pool().get('currency.currency')
+        pool = Pool()
+        MoveLine = pool.get('account.move.line')
+        Currency = Pool().get('currency.currency')
         zero = Decimal("0.0")
-        amount = currency_obj.compute(
-            statement_line.statement.journal.currency, statement_line.amount,
-            statement_line.statement.company.currency)
-        if statement_line.statement.journal.currency.id != \
-                statement_line.statement.company.currency.id:
-            second_currency = statement_line.statement.journal.currency.id
-            amount_second_currency = abs(statement_line.amount)
+        amount = Currency.compute(self.statement.journal.currency, self.amount,
+            self.statement.company.currency)
+        if self.statement.journal.currency != self.statement.company.currency:
+            second_currency = self.statement.journal.currency.id
+            amount_second_currency = abs(self.amount)
         else:
             amount_second_currency = None
             second_currency = None
 
-        party_id = statement_line.party.id if statement_line.party else None
-        vals = []
-        vals.append({
-            'name': unicode(statement_line.date),
-            'debit': amount < zero and -amount or zero,
-            'credit': amount >= zero and amount or zero,
-            'account': statement_line.account.id,
-            'party': party_id,
-            'second_currency': second_currency,
-            'amount_second_currency': amount_second_currency,
-            })
+        move_lines = []
+        move_lines.append(MoveLine(
+                name=unicode(self.date),
+                debit=amount < zero and -amount or zero,
+                credit=amount >= zero and amount or zero,
+                account=self.account,
+                party=self.party,
+                second_currency=second_currency,
+                amount_second_currency=amount_second_currency,
+                ))
 
-        journal = statement_line.statement.journal.journal
-        if statement_line.amount >= zero:
+        journal = self.statement.journal.journal
+        if self.amount >= zero:
             account = journal.credit_account
         else:
             account = journal.debit_account
         if not account:
             self.raise_user_error('debit_credit_account_statement_journal')
-        if statement_line.account.id == account.id:
+        if self.account == account:
             self.raise_user_error('same_debit_credit_account')
-        vals.append({
-            'name': unicode(statement_line.date),
-            'debit': amount >= zero and amount or zero,
-            'credit': amount < zero and -amount or zero,
-            'account': account.id,
-            'party': party_id,
-            'second_currency': second_currency,
-            'amount_second_currency': amount_second_currency,
-            })
-        return vals
-
-Line()
+        move_lines.append(MoveLine(
+                name=unicode(self.date),
+                debit=amount >= zero and amount or zero,
+                credit=amount < zero and -amount or zero,
+                account=account,
+                party=self.party,
+                second_currency=second_currency,
+                amount_second_currency=amount_second_currency,
+                ))
+        return move_lines
diff -r 41ffec50a601 trytond/modules/account_stock_anglo_saxon/__init__.py
--- a/trytond/modules/account_stock_anglo_saxon/__init__.py	Tue Sep 11 15:28:27 2012 +0200
+++ b/trytond/modules/account_stock_anglo_saxon/__init__.py	Mon Sep 24 20:36:39 2012 +0200
@@ -1,6 +1,16 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 
+from trytond.pool import Pool
 from .product import *
 from .stock import *
 from .invoice import *
+
+
+def register():
+    Pool.register(
+        Category,
+        Template,
+        Move,
+        InvoiceLine,
+        module='account_stock_anglo_saxon', type_='model')
diff -r 41ffec50a601 trytond/modules/account_stock_anglo_saxon/invoice.py
--- a/trytond/modules/account_stock_anglo_saxon/invoice.py	Tue Sep 11 15:28:27 2012 +0200
+++ b/trytond/modules/account_stock_anglo_saxon/invoice.py	Mon Sep 24 20:36:39 2012 +0200
@@ -2,15 +2,17 @@
 #this repository contains the full copyright notices and license terms.
 from decimal import Decimal
 import operator
-from trytond.model import ModelView, ModelSQL
-from trytond.pool import Pool
+from trytond.pool import Pool, PoolMeta
 from trytond.transaction import Transaction
 
+__all__ = ['InvoiceLine']
+__metaclass__ = PoolMeta
 
-class InvoiceLine(ModelSQL, ModelView):
-    _name = 'account.invoice.line'
 
-    def _get_anglo_saxon_move_lines(self, line, amount, type_):
+class InvoiceLine:
+    __name__ = 'account.invoice.line'
+
+    def _get_anglo_saxon_move_lines(self, amount, type_):
         '''
         Return account move for anglo-saxon stock accounting
         '''
@@ -19,7 +21,7 @@
 
         result = []
         move_line = {}
-        move_line['name'] = line.description
+        move_line['name'] = self.description
         move_line['amount_second_currency'] = Decimal('0.0')
         move_line['second_currency'] = None
 
@@ -31,7 +33,7 @@
             move_line['debit'] = Decimal('0.0')
             move_line['credit'] = amount
             account_type = type_[4:]
-        move_line['account'] = getattr(line.product,
+        move_line['account'] = getattr(self.product,
                 'account_stock_%s_used' % account_type).id
 
         result.append(move_line)
@@ -39,55 +41,50 @@
         move_line['debit'], move_line['credit'] = \
                 move_line['credit'], move_line['debit']
         if type_.endswith('supplier'):
-            move_line['account'] = line.account.id
+            move_line['account'] = self.account.id
         else:
-            move_line['account'] = line.product.account_cogs_used.id
+            move_line['account'] = self.product.account_cogs_used.id
         result.append(move_line)
         return result
 
-    def get_move_line(self, line):
-        pool = Pool()
-        move_obj = pool.get('stock.move')
-        currency_obj = pool.get('currency.currency')
+    def get_move_line(self):
+        Move = Pool().get('stock.move')
 
-        result = super(InvoiceLine, self).get_move_line(line)
+        result = super(InvoiceLine, self).get_move_line()
 
-        if line.type != 'line':
+        if self.type != 'line':
             return result
-        if not line.product:
+        if not self.product:
             return result
-        if line.product.type != 'goods':
+        if self.product.type != 'goods':
             return result
 
         moves = []
         # other types will get current cost price
-        if line.invoice.type == 'in_invoice':
-            moves = [move for purchase_line in line.purchase_lines
+        if self.invoice.type == 'in_invoice':
+            moves = [move for purchase_line in self.purchase_lines
                     for move in purchase_line.moves
                     if move.state == 'done']
-        elif line.invoice.type == 'out_invoice':
+        elif self.invoice.type == 'out_invoice':
             with Transaction().set_user(0, set_context=True):
-                sale_lines = self.browse(line.id).sale_lines
+                sale_lines = self.__class__(self.id).sale_lines
             moves = [move for sale_line in sale_lines
                     for move in sale_line.moves
                     if move.state == 'done']
-        if line.invoice.type == 'in_invoice':
+        if self.invoice.type == 'in_invoice':
             type_ = 'in_supplier'
-        elif line.invoice.type == 'out_invoice':
+        elif self.invoice.type == 'out_invoice':
             type_ = 'out_customer'
-        elif line.invoice.type == 'in_credit_note':
+        elif self.invoice.type == 'in_credit_note':
             type_ = 'out_supplier'
-        elif line.invoice.type == 'out_credit_note':
+        elif self.invoice.type == 'out_credit_note':
             type_ = 'in_customer'
 
         moves.sort(key=operator.attrgetter('effective_date'))
-        cost = move_obj.update_anglo_saxon_quantity_product_cost(
-                line.product, moves, line.quantity, line.unit, type_)
-        cost = currency_obj.round(line.invoice.currency, cost)
+        cost = Move.update_anglo_saxon_quantity_product_cost(
+            self.product, moves, self.quantity, self.unit, type_)
+        cost = self.invoice.currency.round(cost)
 
-        anglo_saxon_move_lines = self._get_anglo_saxon_move_lines(line, cost,
-                type_)
+        anglo_saxon_move_lines = self._get_anglo_saxon_move_lines(cost, type_)
         result.extend(anglo_saxon_move_lines)
         return result
-
-InvoiceLine()
diff -r 41ffec50a601 trytond/modules/account_stock_anglo_saxon/product.py
--- a/trytond/modules/account_stock_anglo_saxon/product.py	Tue Sep 11 15:28:27 2012 +0200
+++ b/trytond/modules/account_stock_anglo_saxon/product.py	Mon Sep 24 20:36:39 2012 +0200
@@ -1,12 +1,15 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
-from trytond.model import ModelView, ModelSQL, fields
+from trytond.model import fields
 from trytond.pyson import Eval
+from trytond.pool import PoolMeta
 
+__all__ = ['Category', 'Template']
+__metaclass__ = PoolMeta
 
-class Category(ModelSQL, ModelView):
-    _name = 'product.category'
 
+class Category:
+    __name__ = 'product.category'
     account_cogs = fields.Property(fields.Many2One('account.account',
             'Account Cost of Goods Sold', domain=[
                 ('kind', '!=', 'view'),
@@ -20,12 +23,9 @@
     account_cogs_used = fields.Function(fields.Many2One('account.account',
         'Account Cost of Goods Sold Used'), 'get_account')
 
-Category()
 
-
-class Template(ModelSQL, ModelView):
-    _name = 'product.template'
-
+class Template:
+    __name__ = 'product.template'
     account_cogs = fields.Property(fields.Many2One('account.account',
             'Account Cost of Goods Sold', domain=[
                 ('kind', '!=', 'view'),
@@ -44,5 +44,3 @@
             depends=['account_category', 'type']))
     account_cogs_used = fields.Function(fields.Many2One('account.account',
         'Account Cost of Goods Sold Used'), 'get_account')
-
-Template()
diff -r 41ffec50a601 trytond/modules/account_stock_anglo_saxon/stock.py
--- a/trytond/modules/account_stock_anglo_saxon/stock.py	Tue Sep 11 15:28:27 2012 +0200
+++ b/trytond/modules/account_stock_anglo_saxon/stock.py	Mon Sep 24 20:36:39 2012 +0200
@@ -1,75 +1,82 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 from decimal import Decimal
-from trytond.model import ModelView, ModelSQL, fields
+from trytond.model import fields
 from trytond.pyson import Eval
-from trytond.pool import Pool
+from trytond.pool import Pool, PoolMeta
 
+__all__ = ['Move']
+__metaclass__ = PoolMeta
 
-class Move(ModelSQL, ModelView):
-    _name = 'stock.move'
+
+class Move:
+    __name__ = 'stock.move'
     anglo_saxon_quantity = fields.Float('Anglo-Saxon Quantity', required=True,
         digits=(16, Eval('unit_digits', 2)), depends=['unit_digits'])
 
-    def __init__(self):
-        super(Move, self).__init__()
-        self._sql_constraints += [
+    @classmethod
+    def __setup__(cls):
+        super(Move, cls).__setup__()
+        cls._sql_constraints += [
             ('check_anglo_saxon_quantity',
                 'CHECK(quantity >= anglo_saxon_quantity)',
                 'Anglo-Saxon quantity can not be greater than quantity!'),
-        ]
+            ]
 
-    def default_anglo_saxon_quantity(self):
+    @staticmethod
+    def default_anglo_saxon_quantity():
         return 0.0
 
-    def _get_account_stock_move_lines(self, move, type_):
-        uom_obj = Pool().get('product.uom')
-        currency_obj = Pool().get('currency.currency')
-        lines = super(Move, self)._get_account_stock_move_lines(move, type_)
+    def _get_account_stock_move_lines(self, type_):
+        pool = Pool()
+        Uom = pool.get('product.uom')
+        AccountMoveLine = pool.get('account.move.line')
+        lines = super(Move, self)._get_account_stock_move_lines(type_)
         if (type_.endswith('supplier')
-                and move.product.cost_price_method == 'fixed'):
-            cost_price = uom_obj.compute_price(move.product.default_uom,
-                move.cost_price, move.uom)
-            amount = currency_obj.round(move.company.currency,
-                Decimal(str(move.quantity)) * (move.unit_price - cost_price))
-            if currency_obj.is_zero(move.company.currency, amount):
+                and self.product.cost_price_method == 'fixed'):
+            cost_price = Uom.compute_price(self.product.default_uom,
+                self.cost_price, self.uom)
+            amount = self.company.currency.round(
+                Decimal(str(self.quantity)) * (self.unit_price - cost_price))
+            if self.company.currency.is_zero(amount):
                 return lines
-            account_id = move.product.account_stock_supplier_used.id
+            account = self.product.account_stock_supplier_used
             for move_line in lines:
-                if move_line['account'] == account_id:
+                if move_line.account == account:
                     break
             else:
                 return lines
             if type_.startswith('in_'):
-                move_line['credit'] += amount
+                move_line.credit += amount
                 debit = amount
                 credit = Decimal(0)
             else:
-                move_line['debit'] += amount
+                move_line.debit += amount
                 debit = Decimal(0)
                 credit = amount
             if amount < Decimal(0):
                 debit, credit = -credit, -debit
-            move_line = {
-                'name': move.rec_name,
-                'debit': debit,
-                'credit': credit,
-                'account': move.product.account_expense_used.id,
-                }
+            move_line = AccountMoveLine(
+                name=self.rec_name,
+                debit=debit,
+                credit=credit,
+                account=self.product.account_expense_used,
+                )
             lines.append(move_line)
         return lines
 
-    def _get_anglo_saxon_move(self, moves, quantity):
+    @classmethod
+    def _get_anglo_saxon_move(cls, moves, quantity):
         '''
         Generator of (move, qty) where move is the move to be consumed and qty
         is the quantity (in the product default uom) to be consumed on this
         move.
         '''
-        uom_obj = Pool().get('product.uom')
+        Uom = Pool().get('product.uom')
 
         consumed_qty = 0.0
         for move in moves:
-            qty = uom_obj.compute_qty(move.uom,
+            qty = Uom.compute_qty(move.uom,
                     move.quantity - move.anglo_saxon_quantity,
                     move.product.default_uom, round=False)
             if qty <= 0.0:
@@ -80,35 +87,36 @@
                 break
             yield (move, qty)
 
-    def update_anglo_saxon_quantity_product_cost(self, product, moves,
+    @classmethod
+    def update_anglo_saxon_quantity_product_cost(cls, product, moves,
             quantity, uom, type_):
         '''
         Return the cost for quantity based on lines.
         Update anglo_saxon_quantity on the concerned moves.
         '''
-        uom_obj = Pool().get('product.uom')
+        Uom = Pool().get('product.uom')
 
         for move in moves:
             assert move.product == product, 'wrong product'
         assert type_.startswith('in_') or type_.startswith('out_'), \
             'wrong type'
 
-        total_qty = uom_obj.compute_qty(uom, quantity, product.default_uom,
+        total_qty = Uom.compute_qty(uom, quantity, product.default_uom,
                 round=False)
 
         cost = Decimal('0.0')
         consumed_qty = 0.0
-        for move, move_qty in self._get_anglo_saxon_move(moves, total_qty):
+        for move, move_qty in cls._get_anglo_saxon_move(moves, total_qty):
             consumed_qty += move_qty
 
             if type_.startswith('in_'):
-                move_cost_price = uom_obj.compute_price(move.uom,
+                move_cost_price = Uom.compute_price(move.uom,
                         move.unit_price, move.product.default_uom)
             else:
                 move_cost_price = move.cost_price
             cost += move_cost_price * Decimal(str(move_qty))
 
-            self.write(move.id, {
+            cls.write([move], {
                 'anglo_saxon_quantity': ((move.anglo_saxon_quantity or 0.0)
                     + move_qty),
                 })
@@ -119,12 +127,11 @@
             cost += product.cost_price * Decimal(str(qty))
         return cost
 
-    def copy(self, ids, default=None):
+    @classmethod
+    def copy(cls, moves, default=None):
         if default is None:
             default = {}
         default = default.copy()
         default.setdefault('anglo_saxon_quantity',
-            self.default_anglo_saxon_quantity())
-        return super(Move, self).copy(ids, default=default)
-
-Move()
+            cls.default_anglo_saxon_quantity())
+        return super(Move, cls).copy(moves, default=default)
diff -r 3ae2e9579dcd trytond/modules/account_stock_continental/__init__.py
--- a/trytond/modules/account_stock_continental/__init__.py	Mon Sep 24 12:12:46 2012 +0200
+++ b/trytond/modules/account_stock_continental/__init__.py	Mon Sep 24 20:36:39 2012 +0200
@@ -1,6 +1,21 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 
+from trytond.pool import Pool
 from .stock import *
 from .product import *
 from .account import *
+
+
+def register():
+    Pool.register(
+        Move,
+        Category,
+        Template,
+        Configuration,
+        UpdateCostPriceAsk,
+        UpdateCostPriceShowMove,
+        module='account_stock_continental', type_='model')
+    Pool.register(
+        UpdateCostPrice,
+        module='account_stock_continental', type_='wizard')
diff -r 3ae2e9579dcd trytond/modules/account_stock_continental/account.py
--- a/trytond/modules/account_stock_continental/account.py	Mon Sep 24 12:12:46 2012 +0200
+++ b/trytond/modules/account_stock_continental/account.py	Mon Sep 24 20:36:39 2012 +0200
@@ -1,12 +1,15 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
-from trytond.model import Model, fields
+from trytond.model import fields
 from trytond.pyson import Eval, Bool, Get
+from trytond.pool import PoolMeta
 
+__all__ = ['Configuration']
+__metaclass__ = PoolMeta
 
-class Configuration(Model):
-    _name = 'account.configuration'
 
+class Configuration:
+    __name__ = 'account.configuration'
     stock_journal = fields.Property(fields.Many2One(
             'account.journal', 'Stock Journal',
             states={
@@ -16,5 +19,3 @@
             'account.account', 'Cost Price Counterpart Account', domain=[
                 ('company', 'in', [Get(Eval('context', {}), 'company'), None]),
                 ]))
-
-Configuration()
